//
// Created by william on 5/1/24.
//

#include "../include/ppu.h"
#include "window.h"

#ifndef NES_EMULATOR_PPU_VIEW_H
#define NES_EMULATOR_PPU_VIEW_H

#define PPU_VIEW_HEIGHT 14
#define PPU_VIEW_WIDTH 22

typedef struct ppu_view {
    Window *window;
    PPU *ppu;
} PpuView;

PpuView *ppv_init(PPU *ppu, int x, int y);

void ppv_uninit(PpuView *ppu_view);

#endif //NES_EMULATOR_PPU_VIEW_H
