//
// Created by william on 4/30/24.
//

#include "window.h"
#include "../include/types.h"
#include "../include/cpu.h"

#ifndef NESEMULATOR_CPU_VIEW_H
#define NESEMULATOR_CPU_VIEW_H

#define CPU_VIEW_HEIGHT 14
#define CPU_VIEW_WIDTH 12

typedef struct cpu_view {
    Window *window;
    CPU *cpu;
} CpuView;

/**
 * Initializes a CPU view for a system RAM.
 */
CpuView *cv_init(CPU *cpu, int x, int y);

void cv_uninit(CpuView *cpu_view);

#endif //NESEMULATOR_CPU_VIEW_H
